/*
 * Copyright (C) 2000 Robert Fitzsimons
 */

#include "datatypes.h"
#include "unicode.h"
#include "classlib.h"
#include "classfile.h"

extern struct ClassLib classlib_array[];

void init_unicode();

void init() {
	init_unicode();
}

int main(int argc, char** argv) {
	struct ClassLib* classlib;
	ClassFile* classfile;
	kuint index = 0;

	init();

	while((classlib = &classlib_array[index++])->hash != 0) {
		classfile = classfile_build(classlib->buffer, classlib->buffer_length);
		classfile_print(classfile);
		classfile_free(classfile);
	}

	return 0;
}

